# DASetLocalFunction

Caches in a DA a local function.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetLocalFunction(DA da,DALocalFunction1 lf)

Collective on DA

### Input Parameter

| da | - initial distributed array
| lf | - the local function

Notes: The routine SNESDAFormFunction() uses this the cached function to evaluate the user provided function.

### Keywords

distributed array, refine

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DAGetLocalFunction(), DASetLocalFunctioni()

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex5f.F.html